﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model
{
    /// <summary>
    /// 记录弹窗的名称
    /// </summary>
    public static class DialogNames
    {
        /// <summary>
        /// 文档解密弹窗 需要传参PDFDocument对象
        /// </summary>
        public static string VerifyPassWordDialog = "PassWordDialog";

        /// <summary>
        /// 全屏模式弹窗
        /// </summary>
        public static string FullScreenDialog = "FullScreenDialog";

        /// <summary>
        /// 压缩弹窗
        /// </summary>
        public static string CompressDialog = "CompressDialog";

        /// <summary>
        /// 解压缩弹窗
        /// </summary>
        public static string SetPasswordDialog = "SetPasswordDialog";

        /// <summary>
        /// 解压缩弹窗
        /// </summary>
        public static string CheckPasswordDialog = "CheckPasswordDialog";

        /// <summary>
        /// 删除安全性设置
        /// </summary>
        public static string DeleteSafetySettingsDialog = "DeleteSafetySettingsDialog";

        /// <summary>
        /// 进度条
        /// </summary>
        public static string CompressProgressBarDialog = "CompressProgressBarDialog"; 
        /// <summary>
        /// 页面编辑- 提取弹窗
        /// </summary>
        public static string ExtractDialog = "ExtractDialog";

        /// <summary>
        /// 页面编辑-拆分弹窗
        /// </summary>
        public static string SplitDialog = "SplitDialog";

        /// <summary>
        /// 页面编辑-插入弹窗
        /// </summary>
        public static string InsertDialog = "InsertDialog";

        ///<summary>
        ///主页工具-提取弹窗
        /// </summary>
        public static string HomePageExtractDialog = "HomePageExtractDialog";

        ///<summary>
        ///主页工具-插入弹窗
        /// </summary
        public static string HomePageInsertDialog = "HomePageInsertDialog";

        ///<summary>
        ///主页工具-拆分弹窗
        /// </summary>
        public static string HomePageSplitDialog = "HomePageSplitDialog";

        ///<summary>
        ///主页工具-打印弹窗
        /// </summary>
        public static string HomePagePrinterDialog = "HomePagePrinterDialog";

        ///<summary>
        ///打印弹窗-打印页面设置
        /// </summary>
        public static string HomePagePrinterPageSetDialog = "HomePagePrinterPageSetDialog";

    }
}
